Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1053040 - [Hosted Engine] Unify maintenance flows
Summary: [Hosted Engine] Unify maintenance flows
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Greg Padgett
QA Contact: Artyom
URL:
Whiteboard: sla
Depends On: 1075126
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-14 15:43 UTC by Greg Padgett
Modified: 2016-06-12 23:16 UTC (History)
13 users (show)

Fixed In Version: av2
Doc Type: Bug Fix
Doc Text:
Previously, hosted engine had two separate maintenance flows for the engine virtual machine and for high-availability-enabled guests. These two maintenance flows have been unified with the existing host maintenance flows.
Clone Of: 1047649
Environment:
Last Closed: 2014-06-09 13:27:54 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:0504 normal SHIPPED_LIVE vdsm 3.4.0 bug fix and enhancement update 2014-06-09 17:21:35 UTC
oVirt gerrit 23263 None None None Never
oVirt gerrit 23264 None None None Never
oVirt gerrit 24090 None None None Never
oVirt gerrit 24091 None None None Never

Description Greg Padgett 2014-01-14 15:43:52 UTC
+++ This bug was initially created as a clone of Bug #1047649 +++
(cloned for vdsm-side changes, to expose more Hosted Engine info from getVdsStats and supply an API through which the engine can enable/disable hosted engine maintenance mode)

Description of problem:
Currently hosted engine has its own flows to maintenance the engine VM and another flow to maintenance an HA-enabled host.

These flows should be unified with the existing host maintenance flows.

--- Additional comment from Doron Fediuck on 2014-01-01 09:23:55 EST ---

This BZ was created for the engine side, but another may be needed for VDSM to support HA-maintenance request from the engine.

--- Additional comment from Itamar Heim on 2014-01-12 03:42:42 EST ---

setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.

Comment 1 Greg Padgett 2014-02-13 15:02:09 UTC
Merged change-ids:
Iaee2756d0652dc56439b8004e9260fcea927b708
Ic08c5edb0e9b8cc11eb70ef6a66301335c42aad3

Comment 3 Artyom 2014-02-20 11:48:18 UTC
Hi Greg, I checked if ha status appear under getVdsStats and also checked if it change status of local and global maintenance state, when I change it via hosted-engine --set-maintenance --mode=some_mode, if it enough for this patch.
How I understand it still not option for change maintenance to global via UI and also I not sure if I put host to maintenance if it also must change ha maintenance mode to local, after this patch?

Comment 5 Greg Padgett 2014-03-03 15:23:01 UTC
(In reply to Artyom from comment #3)
> Hi Greg, I checked if ha status appear under getVdsStats and also checked if
> it change status of local and global maintenance state, when I change it via
> hosted-engine --set-maintenance --mode=some_mode, if it enough for this
> patch.
> How I understand it still not option for change maintenance to global via UI
> and also I not sure if I put host to maintenance if it also must change ha
> maintenance mode to local, after this patch?

Hi Artyom, testing the 2nd part of this change would involve the new vds verb setHaMaintenanceMode, which is available in vdsClient (or you can use a python script and the vdsm api).  Running vdsClient should show you the usage, and executing it will use the new code which passes the change on to the hosted engine agent.

The UI part is also merged now, which exercises the code either by right-clicking on the vm in the ui to enable/disable global maintenance, or through the standard host maintenance operations which now include local ha maintenance (if applicable to the host).

Comment 6 Artyom 2014-03-31 14:58:16 UTC
Verified on ovirt-hosted-engine-ha-1.1.2-1.el6ev.noarch
Under engine vm I can enable GlobalMaintenance, if enable see line in agent.log
If put host to maintenance also enabled local maintenance mode.

Comment 7 errata-xmlrpc 2014-06-09 13:27:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0504.html


Note You need to log in before you can comment on or make changes to this bug.